Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for IMS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.ims
Interface IMSClientETD

All Known Implementing Classes:
  IMSClientETDAdapter, IMSClientETDExtImpl, IMSClientETDImpl

    public interface IMSClientETD

Method Summary
`void` | `connect()` Connect to server.
`void` | `disconnect()` Disconnect from server.
`char` | `getBandrs()` Call this in your collaboration to get the bandrs attribute.
`java.lang.String` | `getDatastoreID()` Call this in your collaboration to get the datastoreID attribute.
`java.lang.String` | `getLtermName()` Call this in your collaboration to get the LtermName attribute.
`java.lang.String` | `getMessage()` Call this in your collaboration to get the message attribute.
`java.lang.String` | `getPassword()` Call this in your collaboration to get the Password attribute.
`java.lang.String` | `getPort()` Call this in your collaboration to get the port attribute.
`java.lang.String` | `getRacfGroupName()` Call this in your collaboration to get the RacfGroupName attribute.
`java.lang.String` | `getRacfUserID()` Call this in your collaboration to get the RacfUserID attribute.
`java.lang.String` | `getReasonErrMsg()` Call this in your collaboration to get the IMS Connect reason code error message
`java.lang.String` | `getReply()` Call this in your collaboration to get the reply from the server.
`byte[]` | `getReplyBytes(int segNum)` Call this in your collaboration to get the reply from the server as bytes.
`java.lang.String` | `getReturnErrMsg()` Call this in your collaboration to get the IMS Connect return code error message
`int` | `getSegmentCount()` Call this in your collaboration to return the number of segments in the reply message.
`java.lang.String` | `getServer()` Call this in your collaboration to get the server attribute.
`java.lang.String` | `getTranCode()` Call this in your collaboration to get the trans code attribute.
`java.lang.String` | `getTranCodeSrc()` Call this in your collaboration to get the trans code source attribute.
`void` | `IMSRequest()` Call this in your collaboration to send the current value of Message to the server.
`void` | `IMSRequest(java.lang.String inputMessage)` Call this in your collaboration to send a message to the server.
`void` | `IMSRequestWithMultiSegs(java.lang.String[] inputMessages)` Call this in your collaboration to send multi-segmented messages to the server.
`boolean` | `isConnected()` Check to see if connected to server.
`boolean` | `reset()` Resets all the attributes previously set to null.
`void` | `setBandrs(char msg)` Call this in your collaboration to set the bandrs attribute.
`void` | `setDatastoreID(java.lang.String msg)` Call this in your collaboration to set the datastoreID attribute.
`void` | `setLtermName(java.lang.String msg)` Call this in your collaboration to set the LtermName attribute.
`void` | `setMessage(java.lang.String msg)` Call this in your collaboration to set the message attribute.
`void` | `setPassword(java.lang.String msg)` Call this in your collaboration to set the Password attribute.
`void` | `setPort(java.lang.String msg)` Call this in your collaboration to set the port attribute.
`void` | `setRacfGroupName(java.lang.String msg)` Call this in your collaboration to set the RacfGroupName attribute.
`void` | `setRacfUserID(java.lang.String msg)` Call this in your collaboration to set the RacfUserID attribute.
`void` | `setServer(java.lang.String msg)` Call this in your collaboration to set the server attribute.
`void` | `setTranCode(java.lang.String msg)` Call this in your collaboration to set the trans code attribute.
`void` | `setTranCodeSrc(java.lang.String msg)` Call this in your collaboration to set the trans code source attribute.

Method Detail

### setServer

    void setServer(java.lang.String msg)

  Call this in your collaboration to set the server attribute.

  Parameters:
    `server` - - server host

### getServer

    java.lang.String getServer()

  Call this in your collaboration to get the server attribute.

  Returns:
    server host

### setPort

    void setPort(java.lang.String msg)

  Call this in your collaboration to set the port attribute.

  Parameters:
    `server` - port

### getPort

    java.lang.String getPort()

  Call this in your collaboration to get the port attribute.

  Returns:
    server port

### setMessage

    void setMessage(java.lang.String msg)

  Call this in your collaboration to set the message attribute.

  Parameters:
    `message` -

### getMessage

    java.lang.String getMessage()

  Call this in your collaboration to get the message attribute.

  Returns:
    message

### setBandrs

    void setBandrs(char msg)

  Call this in your collaboration to set the bandrs attribute. blank = NoAck A = ACK, N = NACK, D = Deallocate, R = Resume, S = SendOnly

  Parameters:
    `bandrs` -

### getBandrs

    char getBandrs()

  Call this in your collaboration to get the bandrs attribute.

  Returns:
    bandrs

### setTranCode

    void setTranCode(java.lang.String msg)

  Call this in your collaboration to set the trans code attribute.

  Parameters:
    `TranCode` -

### getTranCode

    java.lang.String getTranCode()

  Call this in your collaboration to get the trans code attribute.

  Returns:
    TranCode

### setTranCodeSrc

    void setTranCodeSrc(java.lang.String msg)

  Call this in your collaboration to set the trans code source attribute. If TranCodeSrc is set to "MESSAGE", the transaction ID will be picked up from the first eight bytes of the Message. Otherwise, it will be picked up from the config file.

  Parameters:
    `TranCodeSrc` -

### getTranCodeSrc

    java.lang.String getTranCodeSrc()

  Call this in your collaboration to get the trans code source attribute.

  Returns:
    TranCodeSrc

### setDatastoreID

    void setDatastoreID(java.lang.String msg)

  Call this in your collaboration to set the datastoreID attribute.

  Parameters:
    `datastoreID` -

### getDatastoreID

    java.lang.String getDatastoreID()

  Call this in your collaboration to get the datastoreID attribute.

  Returns:
    datastoreID

### setLtermName

    void setLtermName(java.lang.String msg)

  Call this in your collaboration to set the LtermName attribute.

  Parameters:
    `LtermName` -

### getLtermName

    java.lang.String getLtermName()

  Call this in your collaboration to get the LtermName attribute.

  Returns:
    LtermName

### setRacfUserID

    void setRacfUserID(java.lang.String msg)

  Call this in your collaboration to set the RacfUserID attribute.

  Parameters:
    `RacfUserID` -

### getRacfUserID

    java.lang.String getRacfUserID()

  Call this in your collaboration to get the RacfUserID attribute.

  Returns:
    RacfUserID

### setRacfGroupName

    void setRacfGroupName(java.lang.String msg)

  Call this in your collaboration to set the RacfGroupName attribute.

  Parameters:
    `RacfGroupName` -

### getRacfGroupName

    java.lang.String getRacfGroupName()

  Call this in your collaboration to get the RacfGroupName attribute.

  Returns:
    RacfGroupName

### setPassword

    void setPassword(java.lang.String msg)

  Call this in your collaboration to set the Password attribute.

  Parameters:
    `Password` -

### getPassword

    java.lang.String getPassword()

  Call this in your collaboration to get the Password attribute.

  Returns:
    Password

### reset

    boolean reset()

  Resets all the attributes previously set to null.

  Returns:
    `false` if the IMSClientETD doesn't have a meaningful implementation of `reset()`; so do a `new` of the IMSClientETD instead. Otherwise, return `true` if the reset will clear the data content of the IMSClient.

### connect

    void connect()
                 throws IMSClientException

  Connect to server.

  Throws:
    `IMSClientException` - upon an external connection problem

### disconnect

    void disconnect()
                    throws IMSClientException

  Disconnect from server.

  Throws:
    `IMSClientException` - upon an external connection problem

### isConnected

    boolean isConnected()
                        throws IMSClientException

  Check to see if connected to server.

  Throws:
    `IMSClientException` - upon an external connection problem

### IMSRequest

    void IMSRequest(java.lang.String inputMessage)
                    throws IMSClientException

  Call this in your collaboration to send a message to the server.

  Throws:
    `IMSClientException` - upon error.

### IMSRequestWithMultiSegs

    void IMSRequestWithMultiSegs(java.lang.String[] inputMessages)
                                 throws IMSClientException

  Call this in your collaboration to send multi-segmented messages to the server.

  Throws:
    `IMSClientException` - upon error.

### IMSRequest

    void IMSRequest()
                    throws IMSClientException

  Call this in your collaboration to send the current value of Message to the server.

  Throws:
    `IMSClientException` - upon error.

### getReply

    java.lang.String getReply()
                              throws IMSClientException

  Call this in your collaboration to get the reply from the server.

  Throws:
    `IMSClientException` - upon error.

### getSegmentCount

    int getSegmentCount()
                        throws IMSClientException

  Call this in your collaboration to return the number of segments in the reply message.

  Throws:
    `IMSClientException` - upon error.

### getReplyBytes

    byte[] getReplyBytes(int segNum)
                         throws IMSClientException

  Call this in your collaboration to get the reply from the server as bytes.

  Throws:
    `IMSClientException` - upon error.

### getReturnErrMsg

    java.lang.String getReturnErrMsg()

  Call this in your collaboration to get the IMS Connect return code error message

### getReasonErrMsg

    java.lang.String getReasonErrMsg()

  Call this in your collaboration to get the IMS Connect reason code error message

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for IMS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD